/**
 * Set the Ui appearance.
 *
 * @since Android 10
 * @this {import('../driver').AndroidDriver}
 * @property {import('./types').SetUiModeOpts}
 * @returns {Promise<void>}
 */
export function mobileSetUiMode(this: import("../driver").AndroidDriver, opts: any): Promise<void>;
/**
 * Get the Ui appearance.
 *
 * @since Android 10
 * @this {import('../driver').AndroidDriver}
 * @property {import('./types').GetUiModeOpts}
 * @returns {Promise<string>} The actual state for the queried UI mode,
 * for example 'yes' or 'no'
 */
export function mobileGetUiMode(this: import("../driver").AndroidDriver, opts: any): Promise<string>;
//# sourceMappingURL=appearance.d.ts.map