/**
 *
 * @param {import('appium-adb').ADB} adb
 * @param {string} webview
 * @returns {string}
 */
export function toDetailsCacheKey(adb: import('appium-adb').ADB, webview: string): string;
/**
 * Retrieves web view details previously cached by `getWebviews` call
 *
 * @param {import('appium-adb').ADB} adb
 * @param {string} webview
 * @returns {import('../types').WebViewDetails | undefined}
 */
export function getWebviewDetails(adb: import('appium-adb').ADB, webview: string): import('../types').WebViewDetails | undefined;
/** @type {LRUCache<string, import('../types').WebViewDetails>} */
export const WEBVIEWS_DETAILS_CACHE: LRUCache<string, import('../types').WebViewDetails>;
import { LRUCache } from 'lru-cache';
//# sourceMappingURL=cache.d.ts.map