/**
 * @this {import('../../driver').AndroidDriver}
 * @returns {Promise<string>}
 */
export function getCurrentContext(this: import("../../driver").AndroidDriver): Promise<string>;
/**
 * @this {import('../../driver').AndroidDriver}
 * @returns {Promise<string[]>}
 */
export function getContexts(this: import("../../driver").AndroidDriver): Promise<string[]>;
/**
 * @this {import('../../driver').AndroidDriver}
 * @param {string?} name
 * @returns {Promise<void>}
 */
export function setContext(this: import("../../driver").AndroidDriver, name: string | null): Promise<void>;
export class setContext {
    /**
     * @this {import('../../driver').AndroidDriver}
     * @param {string?} name
     * @returns {Promise<void>}
     */
    constructor(this: import("../../driver").AndroidDriver, name: string | null);
    curContext: string;
}
/**
 * @this {import('../../driver').AndroidDriver}
 * @param {any} [opts={}]
 * @returns {Promise<import('../types').WebviewsMapping[]>}
 */
export function mobileGetContexts(this: import("../../driver").AndroidDriver, opts?: any): Promise<import('../types').WebviewsMapping[]>;
/**
 * @this {import('../../driver').AndroidDriver}
 * @param {import('../types').WebviewsMapping[]} webviewsMapping
 * @returns {string[]}
 */
export function assignContexts(this: import("../../driver").AndroidDriver, webviewsMapping: import('../types').WebviewsMapping[]): string[];
export class assignContexts {
    /**
     * @this {import('../../driver').AndroidDriver}
     * @param {import('../types').WebviewsMapping[]} webviewsMapping
     * @returns {string[]}
     */
    constructor(this: import("../../driver").AndroidDriver, webviewsMapping: import('../types').WebviewsMapping[]);
    contexts: any[];
}
/**
 * @this {import('../../driver').AndroidDriver}
 * @param {string} name
 * @param {import('../types').WebviewsMapping[]} webviewsMapping
 * @returns {Promise<void>}
 */
export function switchContext(this: import("../../driver").AndroidDriver, name: string, webviewsMapping: import('../types').WebviewsMapping[]): Promise<void>;
/**
 * @this {import('../../driver').AndroidDriver}
 * @returns {string}
 */
export function defaultContextName(this: import("../../driver").AndroidDriver): string;
/**
 * @this {import('../../driver').AndroidDriver}
 * @returns {string}
 */
export function defaultWebviewName(this: import("../../driver").AndroidDriver): string;
/**
 * @this {import('../../driver').AndroidDriver}
 * @returns {boolean}
 */
export function isWebContext(this: import("../../driver").AndroidDriver): boolean;
/**
 * Turn on proxying to an existing Chromedriver session or a new one
 *
 * @this {import('../../driver').AndroidDriver}
 * @param {string} context
 * @param {import('../types').WebviewsMapping[]} webviewsMapping
 * @returns {Promise<void>}
 */
export function startChromedriverProxy(this: import("../../driver").AndroidDriver, context: string, webviewsMapping: import('../types').WebviewsMapping[]): Promise<void>;
export class startChromedriverProxy {
    /**
     * Turn on proxying to an existing Chromedriver session or a new one
     *
     * @this {import('../../driver').AndroidDriver}
     * @param {string} context
     * @param {import('../types').WebviewsMapping[]} webviewsMapping
     * @returns {Promise<void>}
     */
    constructor(this: import("../../driver").AndroidDriver, context: string, webviewsMapping: import('../types').WebviewsMapping[]);
    chromedriver: any;
    proxyReqRes: any;
    proxyCommand: (<TReq = any, TRes = unknown>(url: string, method: import("@appium/types").HTTPMethod, body?: TReq | undefined) => Promise<TRes>) | undefined;
    jwpProxyActive: boolean;
}
/**
 * Stop proxying to any Chromedriver
 *
 * @this {import('../../driver').AndroidDriver}
 * @returns {void}
 */
export function suspendChromedriverProxy(this: import("../../driver").AndroidDriver): void;
export class suspendChromedriverProxy {
    chromedriver: any;
    proxyReqRes: any;
    proxyCommand: any;
    jwpProxyActive: boolean;
}
/**
 * Handle an out-of-band Chromedriver stop event
 *
 * @this {import('../../driver').AndroidDriver}
 * @param {string} context
 * @returns {Promise<void>}
 */
export function onChromedriverStop(this: import("../../driver").AndroidDriver, context: string): Promise<void>;
/**
 * Intentionally stop all the chromedrivers currently active, and ignore
 * their exit events
 *
 * @this {import('../../driver').AndroidDriver}
 * @returns {Promise<void>}
 */
export function stopChromedriverProxies(this: import("../../driver").AndroidDriver): Promise<void>;
/**
 * @this {import('../../driver').AndroidDriver}
 * @param {string} viewName
 * @returns {boolean}
 */
export function isChromedriverContext(this: import("../../driver").AndroidDriver, viewName: string): boolean;
/**
 * @this {import('../../driver').AndroidDriver}
 * @returns {Promise<void>}
 */
export function startChromeSession(this: import("../../driver").AndroidDriver): Promise<void>;
export class startChromeSession {
    chromedriver: any;
    curContext: string;
    proxyReqRes: any;
    proxyCommand: (<TReq = any, TRes = unknown>(url: string, method: import("@appium/types").HTTPMethod, body?: TReq | undefined) => Promise<TRes>) | undefined;
    jwpProxyActive: boolean;
}
export type ADB = import('appium-adb').ADB;
//# sourceMappingURL=exports.d.ts.map