"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mobileExecEmuConsoleCommand = void 0;
const driver_1 = require("appium/driver");
const EMU_CONSOLE_FEATURE = 'emulator_console';
/**
 * @this {import('../../driver').AndroidDriver}
 * @param {import('../types').ExecOptions} opts
 * @returns {Promise<string>}
 */
async function mobileExecEmuConsoleCommand(opts) {
    this.ensureFeatureEnabled(EMU_CONSOLE_FEATURE);
    const { command, execTimeout, connTimeout, initTimeout } = opts;
    if (!command) {
        throw new driver_1.errors.InvalidArgumentError(`The 'command' argument is mandatory`);
    }
    return await /** @type {import('appium-adb').ADB} */ (this.adb).execEmuConsoleCommand(command, {
        execTimeout,
        connTimeout,
        initTimeout,
    });
}
exports.mobileExecEmuConsoleCommand = mobileExecEmuConsoleCommand;
//# sourceMappingURL=emulator-console.js.map