/**
 * @this {import('../driver').AndroidDriver}
 * @param {string} remotePath
 * @returns {Promise<string>}
 */
export function pullFile(this: import("../driver").AndroidDriver, remotePath: string): Promise<string>;
/**
 * @this {import('../driver').AndroidDriver}
 * @param {import('./types').PullFileOpts} opts
 * @returns {Promise<string>}
 */
export function mobilePullFile(this: import("../driver").AndroidDriver, opts: import('./types').PullFileOpts): Promise<string>;
/**
 * @this {import('../driver').AndroidDriver}
 * @param {string} remotePath
 * @param {string} base64Data
 * @returns {Promise<void>}
 */
export function pushFile(this: import("../driver").AndroidDriver, remotePath: string, base64Data: string): Promise<void>;
/**
 * @this {import('../driver').AndroidDriver}
 * @param {import('./types').PushFileOpts} opts
 * @returns {Promise<void>}
 */
export function mobilePushFile(this: import("../driver").AndroidDriver, opts: import('./types').PushFileOpts): Promise<void>;
/**
 * @this {import('../driver').AndroidDriver}
 * @param {string} remotePath
 * @returns {Promise<string>}
 */
export function pullFolder(this: import("../driver").AndroidDriver, remotePath: string): Promise<string>;
/**
 * @this {import('../driver').AndroidDriver}
 * @param {import('./types').PullFolderOpts} opts
 * @returns {Promise<string>}
 */
export function mobilePullFolder(this: import("../driver").AndroidDriver, opts: import('./types').PullFolderOpts): Promise<string>;
/**
 * @this {import('../driver').AndroidDriver}
 * @param {import('./types').DeleteFileOpts} opts
 * @returns {Promise<boolean>}
 */
export function mobileDeleteFile(this: import("../driver").AndroidDriver, opts: import('./types').DeleteFileOpts): Promise<boolean>;
export type ADB = import('appium-adb').ADB;
//# sourceMappingURL=file-actions.d.ts.map