"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mobileSendTrimMemory = void 0;
const driver_1 = require("appium/driver");
/**
 * Simulates the onTrimMemory() event for the given package.
 * Read https://developer.android.com/topic/performance/memory
 * for more details.
 *
 * @this {import('../driver').AndroidDriver}
 * @param {import('./types').SendTrimMemoryOpts} opts
 * @returns {Promise<void>}
 */
async function mobileSendTrimMemory(opts) {
    const { pkg, level } = opts;
    if (!pkg) {
        throw new driver_1.errors.InvalidArgumentError(`The 'pkg' argument must be provided`);
    }
    if (!level) {
        throw new driver_1.errors.InvalidArgumentError(`The 'level' argument must be provided`);
    }
    await this.adb.shell(['am', 'send-trim-memory', pkg, level]);
}
exports.mobileSendTrimMemory = mobileSendTrimMemory;
/**
 * @typedef {import('appium-adb').ADB} ADB
 */
//# sourceMappingURL=memory.js.map